Subject: Re: [PATCH 2/2] Use of_get_pci_dev_node() in axon_msi.c

From: Michael Ellerman <[email-masked]>
Date: Thu, 18 Oct 2007 11:27:23 +1000

On Wed, 2007-10-17 at 18:04 -0500, Linas Vepstas wrote:
> On Wed, Oct 17, 2007 at 05:12:27PM +1000, Michael Ellerman wrote:
> 
> > +struct device_node *of_get_pci_dev_node(struct pci_dev *pdev)
> > +{
> > +       return of_node_get(pci_device_to_OF_node(pdev));
> > +}
> 
> [...]
> 
> > -	dn = of_node_get(pci_device_to_OF_node(dev));
> > +	dn = of_get_pci_dev_node(dev);
> 
> Is this really useful or wise?

Yes, and yes.

> As a matter of personal taste, I find stuff like this clutters
> and confuses my mind. I go to read new code, and I run across some
> routine I haven't heard of before ... e.g. of_get_pci_dev_node(),
> so now I have to look it up to see what it does.  A few minutes later, 
> I realize that its just a pair of old freinds (of_node_get and 
> pci_device_to_OF_node) and so now I have to make mental room for it.  
> 
> Tommorrow, or 3 days later, I'm again looking at of_get_pci_dev_node()
> and I'm thinking "gee what did that thing do again??"

It does what pci_device_to_OF_node() does, but in the right way. 

The plan is to remove pci_device_to_OF_node() once all the callers have
been converted to properly handle the refcounting. When that happens you
can use the mental room it consumed for something else :)

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person